SPI\_freeplan

|           SPI\_freeplan           |                     |                       |                  |                             |
|:---------------------------------:|---------------------|-----------------------|------------------|-----------------------------|
|[Prev](spi-spi-freetupletable.html)|[Up](spi-memory.html)|47.3. Memory Management|[Home](index.html)| [Next](spi-transaction.html)|

---

[]()

## SPI\_freeplan

SPI\_freeplan — free a previously saved prepared statement

## Synopsis

```
int SPI_freeplan(SPIPlanPtr plan)

```

## Description

`SPI_freeplan` releases a prepared statement previously returned by `SPI_prepare` or saved by `SPI_keepplan` or `SPI_saveplan`.

## Arguments

`SPIPlanPtr *`plan`*`

 pointer to statement to free

## Return Value

 0 on success; `SPI_ERROR_ARGUMENT` if *`plan`* is `NULL` or invalid

---

|[Prev](spi-spi-freetupletable.html)|[Up](spi-memory.html)| [Next](spi-transaction.html)|
|:----------------------------------|:-------------------:|----------------------------:|
|         SPI\_freetuptable         | [Home](index.html)  | 47.4. Transaction Management|

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>